package com.gic.haoban.manage.service.entity.moment;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlanData
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 11:24:04
 * @Modify
 * @CopyRight 杭州
 */
public class TabQwMomentPlanData implements Serializable{

	private static final long serialVersionUID = 69664410786500L;
	
	/**id*/
	private Long dataId;
	/**计划id*/
	private Long planId;
	/**企微企业id*/
	private String wxEnterpriseId;
	/**企业id*/
	private String enterpriseId;
	/**staff*/
	private String staffId;
	/**导购*/
	private String clerkId;
	/**门店id*/
	private String storeId;
	/**客户id*/
	private String memberId;
	/**创建时间*/
	private Date createTime;
	/**更新时间*/
	private Date updateTime;
	/**是否删除*/
	private Integer deleteFlag;
	/**评论时间*/
	private Date commentTime;
	/**点赞时间*/
	private Date likeTime;
	/**是否评论*/
	private Integer commentFlag;
	/**是否点赞*/
	private Integer likeFlag;

	public Long getDataId() {
		return dataId;
	}

	public void setDataId(Long dataId) {
		this.dataId = dataId;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public Date getCommentTime() {
		return commentTime;
	}

	public void setCommentTime(Date commentTime) {
		this.commentTime = commentTime;
	}

	public Date getLikeTime() {
		return likeTime;
	}

	public void setLikeTime(Date likeTime) {
		this.likeTime = likeTime;
	}

	public Integer getCommentFlag() {
		return commentFlag;
	}

	public void setCommentFlag(Integer commentFlag) {
		this.commentFlag = commentFlag;
	}

	public Integer getLikeFlag() {
		return likeFlag;
	}

	public void setLikeFlag(Integer likeFlag) {
		this.likeFlag = likeFlag;
	}
}